QGIS Application - Bug report #7883
Large MSSQL Tables Very Slow To Open
2013-05-22 06:40 PM - Damien Smith

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 16757

Description

There is a major delay when adding large, detailed MSSQL maps in QGIS. | have a 500MB+ contour file that loads in less than 1 second
in MapServer & Maplnfo Pro but QGIS appears to be doing some sort of full scan whenever the table is added via the "Add MSSQL" DB

tool or when loading as part of a project.

Once the file is loaded, it renders fine but the delay when opening is a major issue. Loading projects containing lots of regular MSSQL

spatial layers is also seems slower than it should be presumably due to the same issue.

| have not yet tested similar files in PostGIS.

Associated revisions

Revision d2831e3f - 2013-05-28 03:38 AM - Nathan Woodrow

Load extents from geometry_columns. Fix #7883

History

#1 - 2013-05-27 06:39 PM - Anonymous
- Status changed from Open to Closed

Fixed in changeset commit:"d2831e3fe194b761c6bdb5794541ec31e203e865".
